<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
	<key>bundleid</key>
	<string></string>
	<key>connections</key>
	<dict>
		<key>33E97B3C-AE75-4802-9866-EA166186A359</key>
		<array>
			<dict>
				<key>destinationuid</key>
				<string>A729B274-0D6A-474B-BC29-B189FFA5B80C</string>
				<key>modifiers</key>
				<integer>0</integer>
				<key>modifiersubtext</key>
				<string></string>
				<key>vitoclose</key>
				<false/>
			</dict>
		</array>
		<key>599BE109-55D2-4883-A734-7346A8DBEDFF</key>
		<array>
			<dict>
				<key>destinationuid</key>
				<string>F69BFB49-6D5A-43CE-A2ED-3D2E5C2D69B0</string>
				<key>modifiers</key>
				<integer>0</integer>
				<key>modifiersubtext</key>
				<string></string>
				<key>vitoclose</key>
				<false/>
			</dict>
		</array>
		<key>60275CD9-3162-4313-A14C-77BED33791E4</key>
		<array/>
		<key>A729B274-0D6A-474B-BC29-B189FFA5B80C</key>
		<array>
			<dict>
				<key>destinationuid</key>
				<string>B3D61B44-CE57-409D-B7D2-5DA8CB15583B</string>
				<key>modifiers</key>
				<integer>0</integer>
				<key>modifiersubtext</key>
				<string></string>
				<key>vitoclose</key>
				<false/>
			</dict>
		</array>
		<key>B3D61B44-CE57-409D-B7D2-5DA8CB15583B</key>
		<array>
			<dict>
				<key>destinationuid</key>
				<string>599BE109-55D2-4883-A734-7346A8DBEDFF</string>
				<key>modifiers</key>
				<integer>0</integer>
				<key>modifiersubtext</key>
				<string></string>
				<key>vitoclose</key>
				<false/>
			</dict>
		</array>
	</dict>
	<key>createdby</key>
	<string>Timmy</string>
	<key>description</key>
	<string></string>
	<key>disabled</key>
	<false/>
	<key>name</key>
	<string>使用Prettier自動格式化程式碼</string>
	<key>objects</key>
	<array>
		<dict>
			<key>config</key>
			<dict>
				<key>concurrently</key>
				<false/>
				<key>escaping</key>
				<integer>102</integer>
				<key>script</key>
				<string># 定義預設的配置設定
SHELL=/bin/sh
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
TZ='Asia/Taipei'

# 將配置設定寫入環境變數
export PATH
export LANG=en_US.UTF-8
export LANGUAGE=en_US:en

export PATH="/opt/homebrew/bin:$PATH"

query=$1 # 將第一個參數存入變數query

# echo -n $query # 輸出query變數，不換行
# echo -n $(date) # 輸出當前日期，不換行

pbpaste | prettier --parser "$query" 2&gt;&amp;1 # 將剪貼簿的內容輸入Prettier，使用$query指定的解析器格式化，並將錯誤訊息（stderr）重定向到標準輸出（stdout）</string>
				<key>scriptargtype</key>
				<integer>1</integer>
				<key>scriptfile</key>
				<string></string>
				<key>type</key>
				<integer>0</integer>
			</dict>
			<key>type</key>
			<string>alfred.workflow.action.script</string>
			<key>uid</key>
			<string>B3D61B44-CE57-409D-B7D2-5DA8CB15583B</string>
			<key>version</key>
			<integer>2</integer>
		</dict>
		<dict>
			<key>config</key>
			<dict>
				<key>alfredfiltersresults</key>
				<true/>
				<key>alfredfiltersresultsmatchmode</key>
				<integer>0</integer>
				<key>argumenttreatemptyqueryasnil</key>
				<true/>
				<key>argumenttrimmode</key>
				<integer>0</integer>
				<key>argumenttype</key>
				<integer>1</integer>
				<key>escaping</key>
				<integer>102</integer>
				<key>keyword</key>
				<string>prettier</string>
				<key>queuedelaycustom</key>
				<integer>3</integer>
				<key>queuedelayimmediatelyinitially</key>
				<true/>
				<key>queuedelaymode</key>
				<integer>0</integer>
				<key>queuemode</key>
				<integer>1</integer>
				<key>runningsubtext</key>
				<string></string>
				<key>script</key>
				<string>import json
import sys

data = {
    "items": [
        {
            "title": "使用Prettier自動格式化Markdown文件",
            "subtitle": "markdown",
            "arg": "markdown"
        },
        {
            "title": "使用Prettier自動格式化HTML程式碼",
            "subtitle": "html",
            "arg": "html"
        },
        {
            "title": "使用Prettier自動格式化CSS程式碼",
            "subtitle": "css",
            "arg": "css"
        },
        {
            "title": "使用Prettier自動格式化YAML文件",
            "subtitle": "yaml",
            "arg": "yaml"
        },
        {
            "title": "使用Prettier自動格式化JSON文件",
            "subtitle": "json",
            "arg": "json"
        }
    ]
}

json.dump(data, sys.stdout)</string>
				<key>scriptargtype</key>
				<integer>1</integer>
				<key>scriptfile</key>
				<string></string>
				<key>subtext</key>
				<string></string>
				<key>title</key>
				<string>使用Prettier自動格式化程式碼</string>
				<key>type</key>
				<integer>9</integer>
				<key>withspace</key>
				<true/>
			</dict>
			<key>type</key>
			<string>alfred.workflow.input.scriptfilter</string>
			<key>uid</key>
			<string>A729B274-0D6A-474B-BC29-B189FFA5B80C</string>
			<key>version</key>
			<integer>3</integer>
		</dict>
		<dict>
			<key>config</key>
			<dict>
				<key>autopaste</key>
				<true/>
				<key>clipboardtext</key>
				<string>{query}</string>
				<key>ignoredynamicplaceholders</key>
				<false/>
				<key>transient</key>
				<false/>
			</dict>
			<key>type</key>
			<string>alfred.workflow.output.clipboard</string>
			<key>uid</key>
			<string>599BE109-55D2-4883-A734-7346A8DBEDFF</string>
			<key>version</key>
			<integer>3</integer>
		</dict>
		<dict>
			<key>config</key>
			<dict>
				<key>lastpathcomponent</key>
				<false/>
				<key>onlyshowifquerypopulated</key>
				<true/>
				<key>removeextension</key>
				<false/>
				<key>text</key>
				<string>✨ Copy successful! ✨</string>
				<key>title</key>
				<string>使用Prettier自動格式化程式碼</string>
			</dict>
			<key>type</key>
			<string>alfred.workflow.output.notification</string>
			<key>uid</key>
			<string>F69BFB49-6D5A-43CE-A2ED-3D2E5C2D69B0</string>
			<key>version</key>
			<integer>1</integer>
		</dict>
		<dict>
			<key>config</key>
			<dict>
				<key>action</key>
				<integer>0</integer>
				<key>argument</key>
				<integer>0</integer>
				<key>focusedappvariable</key>
				<false/>
				<key>focusedappvariablename</key>
				<string></string>
				<key>hotkey</key>
				<integer>0</integer>
				<key>hotmod</key>
				<integer>0</integer>
				<key>hotstring</key>
				<string></string>
				<key>leftcursor</key>
				<false/>
				<key>modsmode</key>
				<integer>0</integer>
				<key>relatedAppsMode</key>
				<integer>0</integer>
			</dict>
			<key>type</key>
			<string>alfred.workflow.trigger.hotkey</string>
			<key>uid</key>
			<string>33E97B3C-AE75-4802-9866-EA166186A359</string>
			<key>version</key>
			<integer>2</integer>
		</dict>
		<dict>
			<key>config</key>
			<dict>
				<key>alignment</key>
				<integer>0</integer>
				<key>backgroundcolor</key>
				<string></string>
				<key>fadespeed</key>
				<integer>0</integer>
				<key>fillmode</key>
				<integer>0</integer>
				<key>font</key>
				<string>System Light</string>
				<key>ignoredynamicplaceholders</key>
				<false/>
				<key>largetypetext</key>
				<string>Copied!</string>
				<key>textcolor</key>
				<string></string>
				<key>wrapat</key>
				<integer>50</integer>
			</dict>
			<key>type</key>
			<string>alfred.workflow.output.largetype</string>
			<key>uid</key>
			<string>60275CD9-3162-4313-A14C-77BED33791E4</string>
			<key>version</key>
			<integer>3</integer>
		</dict>
	</array>
	<key>readme</key>
	<string></string>
	<key>uidata</key>
	<dict>
		<key>33E97B3C-AE75-4802-9866-EA166186A359</key>
		<dict>
			<key>xpos</key>
			<real>30</real>
			<key>ypos</key>
			<real>170</real>
		</dict>
		<key>599BE109-55D2-4883-A734-7346A8DBEDFF</key>
		<dict>
			<key>xpos</key>
			<real>500</real>
			<key>ypos</key>
			<real>170</real>
		</dict>
		<key>60275CD9-3162-4313-A14C-77BED33791E4</key>
		<dict>
			<key>xpos</key>
			<real>685</real>
			<key>ypos</key>
			<real>300</real>
		</dict>
		<key>A729B274-0D6A-474B-BC29-B189FFA5B80C</key>
		<dict>
			<key>xpos</key>
			<real>185</real>
			<key>ypos</key>
			<real>170</real>
		</dict>
		<key>B3D61B44-CE57-409D-B7D2-5DA8CB15583B</key>
		<dict>
			<key>xpos</key>
			<real>345</real>
			<key>ypos</key>
			<real>170</real>
		</dict>
		<key>F69BFB49-6D5A-43CE-A2ED-3D2E5C2D69B0</key>
		<dict>
			<key>xpos</key>
			<real>685</real>
			<key>ypos</key>
			<real>170</real>
		</dict>
	</dict>
	<key>userconfigurationconfig</key>
	<array/>
	<key>variablesdontexport</key>
	<array/>
	<key>version</key>
	<string></string>
	<key>webaddress</key>
	<string></string>
</dict>
</plist>
